<?
include_once("smsbill.class.php");
$money = array(
	'6335' => '15',
	);
$lang = 'ru'; 
$charset = 'utf-8';

$_GET['servid']='6335';
if(isset($_GET['pay']))
{
$serv = hsc($_GET['servid']);
	
if(!isset($money[$serv]))
 {err_game('Ошибка!!!');
 include_once 'inc/foot.php';
}else{

	$rubi = $money[$serv];
	

echo "<div class='event'><h1>Покупка Ключа</h1></div>";
echo "<div class='block content'>Срок действия ключа 5 суток. <br/><span class='epic'>Акция: при покупке ключа вы получаете второй ключ сроком на два дня в подарок</span><br/>";
echo "<span class='title'><b>Оплата по смс</b></span><br/><br/>";

	$smsbill = new SMSBill();
	$smsbill->setServiceId($serv);
	$smsbill->useEncoding($charset);
	$smsbill->useHeader('no');
	$smsbill->useLang($lang); 
	$smsbill->useCss('http://'.$_SERVER['HTTP_HOST']);
	
	if (isset($_REQUEST['smsbill_password'])) {
		if (!$smsbill->checkPassword($_REQUEST['smsbill_password'])) { 
			
			echo"Код указан не верно.";
			include_once"inc/foot.php";
			exit;
		}else{ 
	///
$text="Вы купили новый ключ для погреба!";
$times=86500*5;
$timesbon=86500*2;
mysql_query("UPDATE `kolhoz_user` SET `action_time`='".(time()+86400)."' WHERE `id` = '$ku[id]' LIMIT 1") or die (mysql_error());
mysql_query("INSERT INTO `kolhoz_mail` SET `id_user` = '$ku[id]', `id_kont` = '0', `msg` = '$text', `time` = '".(time())."', `type` = 'to'") or die (mysql_error());
mysql_query("INSERT INTO `kolhoz_key` SET `id_user` = '$ku[id]', `time` = '$times' ") or die (mysql_error());
mysql_query("INSERT INTO `kolhoz_key` SET `id_user` = '$ku[id]', `time` = '$timesbon' ") or die (mysql_error());
mysql_query("INSERT INTO `kolhoz_price` SET `id_user` = '$ku[id]', `key` = '1',`bon` = '2', `time` = '".(time())."'") or die (mysql_error());
header("Location:/myfarm");		

           include_once"inc/foot.php";			
		}
	}else{
		
		echo $smsbill->getForm();
		include_once"inc/foot.php";
	}
}
}
echo "<div class='event'><h1>Покупка рубинов по sms</h1></div>";
echo "<div class='block content'>";
foreach ($money as $serv_id => $money_val){
	echo "<img width='16' height='16' src='images/icons/ruby.png' alt='o'><b>$money_val</b> рубинов <a href='/payment/sms/pay/servid-".$serv_id."'>Купить</a><br />";
}



echo "</div>";

include_once 'inc/foot.php';

?>